summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYixun Lan <dlan@gentoo.org>2015-12-22 15:25:27 +0800
committerYixun Lan <dlan@gentoo.org>2015-12-22 15:26:20 +0800
commit0046137049812994f5a57ea2ce5e7b95aea27d47 (patch)
tree0e7941bb58dce37e6aad9db6e35ad385d31e7d6e /media-fonts
parentapp-emulation/libvirt: remove vuln. 1.2.(20|21) (CVE-2015-5313, bug #568870) (diff)
downloadgentoo-0046137049812994f5a57ea2ce5e7b95aea27d47.tar.gz
gentoo-0046137049812994f5a57ea2ce5e7b95aea27d47.tar.bz2
gentoo-0046137049812994f5a57ea2ce5e7b95aea27d47.zip
media-fonts/wqy-unibit: fix perl build error
Gentoo-Bug: 553142 Package-Manager: portage-2.2.26
Diffstat (limited to 'media-fonts')
-rw-r--r--media-fonts/wqy-unibit/wqy-unibit-1.1.0_p1-r1.ebuild38
1 files changed, 38 insertions, 0 deletions
diff --git a/media-fonts/wqy-unibit/wqy-unibit-1.1.0_p1-r1.ebuild b/media-fonts/wqy-unibit/wqy-unibit-1.1.0_p1-r1.ebuild
new file mode 100644
index 00000000000..9df9f469181
--- /dev/null
+++ b/media-fonts/wqy-unibit/wqy-unibit-1.1.0_p1-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+inherit font
+
+MY_P="${PN}-bdf-${PV/_p/-}"
+DESCRIPTION="WenQuanYi Unibit CJK font"
+HOMEPAGE="http://wenq.org/enindex.cgi"
+SRC_URI="mirror://sourceforge/wqy/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+DEPEND="media-gfx/ebdftopcf
+ sys-apps/sed"
+RDEPEND=""
+
+S="${WORKDIR}/${PN}"
+FONT_S="${S}"
+FONT_SUFFIX="pcf.gz"
+DOCS="AUTHORS ChangeLog README"
+
+# Only installs fonts
+RESTRICT="strip binchecks"
+
+src_prepare() {
+ sed -i -e "s|$range=shift(ARGV);|$range=shift(@ARGV);|g" \
+ bdfmerge.pl || die
+}
+
+src_compile() {
+ emake || die
+ gzip -9 wqy-unibit.pcf || die
+}